/* PSViewConDelegatorM.h     UIViewController subclass to delegate methods
 *
 * Copyright (c) 2015 Psellos   http://psellos.com
 * Licensed under the MIT license:
 *     http://www.opensource.org/licenses/mit-license.php
 */

/* Protocol for the delegate.
 */
@protocol PSViewConDelegate
@optional
- (void) viewController: (UIViewController *) vc
         viewDidAppear: (BOOL) animated;
- (void) viewController: (UIViewController *) vc
         viewWillDisappear: (BOOL) animated;
- (BOOL) viewControllerShouldAutorotate: (UIViewController *) vc;
@end

/* Interface for the delegator.
 */
@interface PSViewConDelegator : UIViewController
@property(nonatomic, assign) IBOutlet NSObject<PSViewConDelegate> *delegate;
@end
