/* PSViewConDelegatorM.m     UIViewController subclass to delegate methods
 *
 * Copyright (c) 2015 Psellos   http://psellos.com
 * Licensed under the MIT license:
 *     http://www.opensource.org/licenses/mit-license.php
 *
 * This code is logically a small extension of Cocoa Touch.  It doesn't
 * need to know anything about OCaml.
 */
#import <UIKit/UIKit.h>

#import "PSViewConDelegatorM.h"

@implementation PSViewConDelegator

- (void) viewDidAppear: (BOOL) animated
{
    SEL vda = @selector(viewController:viewDidAppear:);
    if ([self.delegate respondsToSelector: vda])
        [self.delegate viewController: self viewDidAppear: animated];
}

- (void) viewWillDisappear:(BOOL)animated
{
    SEL vwd = @selector(viewController:viewWillDisappear:);
    if ([self.delegate respondsToSelector: vwd])
        [self.delegate viewController: self viewWillDisappear: animated];
}

- (BOOL) shouldAutorotate
{
    SEL vsa = @selector(viewControllerShouldAutorotate:);
    if ([self.delegate respondsToSelector: vsa])
        return [self.delegate viewControllerShouldAutorotate: self];
    return [super shouldAutorotate];
}

@end
