/* PSViewDelegatorM.m     UIView subclass to delegate touches and drawRect:
 *
 * Copyright (c) 2015 Psellos   http://psellos.com
 * Licensed under the MIT license:
 *     http://www.opensource.org/licenses/mit-license.php
 *
 * This code is logically a small extension of Cocoa Touch.  It doesn't
 * need to know anything about OCaml.
 */
#import <UIKit/UIKit.h>

#import "PSViewDelegatorM.h"

@implementation PSViewDelegator

- (void) touchesBegan: (NSSet *) touches withEvent: (UIEvent *) event
{
    SEL sel = @selector(view:touchesBegan:withEvent:);
    if([self.delegate respondsToSelector: sel])
        [self.delegate view: self touchesBegan: touches withEvent: event];
}


- (void) touchesMoved: (NSSet *) touches withEvent: (UIEvent *) event
{
    SEL sel = @selector(view:touchesMoved:withEvent:);
    if([self.delegate respondsToSelector: sel])
        [self.delegate view: self touchesMoved: touches withEvent: event];
}


- (void) touchesEnded: (NSSet *) touches withEvent: (UIEvent *) event
{
    SEL sel = @selector(view:touchesEnded:withEvent:);
    if([self.delegate respondsToSelector: sel])
        [self.delegate view: self touchesEnded: touches withEvent: event];
}


- (void) touchesCancelled: (NSSet *) touches withEvent: (UIEvent *) event
{
    SEL sel = @selector(view:touchesCancelled:withEvent:);
    if([self.delegate respondsToSelector: sel])
        [self.delegate view: self touchesCancelled: touches withEvent: event];
}


- (void) drawRect: (CGRect) rect
{
    if([self.delegate respondsToSelector: @selector(view:drawRect:)])
        [self.delegate view: self drawRect: rect];
}
@end
