(* gamutAppDelegate.ml     Application delegate for Gamut
 *
 * Copyright (c) 2015 Psellos   http://psellos.com
 * Licensed under the MIT license:
 *     http://www.opensource.org/licenses/mit-license.php
 *)

class t =
object (self)
    inherit Wrappee.t

    val mutable theWindow: UiWindow.t option = None

    method window =
        match theWindow with
        | None -> UiWindow.nil
        | Some window -> window

    method setWindow' window =
        theWindow <- Some window

    method applicationDidFinishLaunching' (appl: UiApplication.t) =
        let vcd = self#window#rootViewController#delegate in
        ignore (NsTimer.scheduledTimer5 Gamut.interval vcd "timerTick'"
                Wrappee.nil true)

    method applicationDidReceiveMemoryWarning' (appl: UiApplication.t) =
        Gc.compact ()  (* Best effort to reclaim space *)

    method applicationWillResignActive' (appl: UiApplication.t) =
        ()

    method applicationDidBecomeActive' (appl: UiApplication.t) =
        ()
end

let () =
    let wrapped robjcv = let t = new t in t#setContainer robjcv; t in
    Callback.register "GamutAppDelegate.wrapped" wrapped
