(* uiWindow.ml     Wrapper for Cocoa Touch UIWindow
 *
 * Copyright (c) 2015 Psellos   http://psellos.com
 * Licensed under the MIT license:
 *     http://www.opensource.org/licenses/mit-license.php
 *)

(* The root view controller is actually a PsViewConDelegator.t, but it's
 * sufficient to declare it as PsDelegator.t (a subtype), so we do that
 * for simplicity. (Specifically, to avoid some cyles in the types.)
 *)

external _rootViewController : nativeint -> PsDelegator.t =
    "UIWindow_rootViewController"

class t robjcv =
    object (self)
    inherit UiView.t robjcv

    method rootViewController = _rootViewController self#contents
    end

let () = Callback.register "UIWindow.wrap" (new t)

let nil = new t 0n
